import { Done } from '../../../../../Class/Functional/Done';
import { Holder } from '../../../../../Class/Holder';
import { System } from '../../../../../system';
import { Component_ } from '../../../../../types/interface/Component';
export interface I<T> {
    component: Component_<any>;
    opt: {};
    done: any;
}
export interface O<T> {
    items: string[];
}
export default class AttachDropTarget<T> extends Holder<I<T>, O<T>> {
    private _unlisten;
    constructor(system: System);
    f({ component, opt }: I<T>, done: Done<O<T>>): Promise<void>;
    d(): void;
}
